Summary: A wiki engine
Name: mediawiki
Version: 1.10.4
Release: 40%{?dist}
License: GPLv2+
Group: Development/Tools
URL: http://www.mediawiki.org/
Source0: http://download.wikimedia.org/mediawiki/1.10/%{name}-%{version}.tar.gz
Patch0: mediawiki-1.9.1-commoncode.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ocaml >= 3.06
# to make sure the "apache" group is created before mediawiki is installed
Requires(pre): httpd
Requires: php >= 5, php-xml
Requires: php-mysql, php-pgsql
Requires: diffutils, ImageMagick, php-gd
Requires: tetex-latex, tetex-dvips
Provides: mediawiki-math = %{version}-%{release}
Obsoletes: mediawiki-math < %{version}-%{release}

%description
MediaWiki is the software used for Wikipedia and the other Wikimedia
Foundation websites. Compared to other wikis, it has an excellent
range of features and support for high-traffic websites using multiple
servers

This package supports wiki farms. Copy /var/www/wiki over to the
desired wiki location and configure it through the web
interface. Remember to remove the config dir after completing the
configuration.

%prep
%setup -q
%patch -p1 -b .commoncode

%build
cd math
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki
cp -a * %{buildroot}%{_datadir}/mediawiki/

# remove undeeded parts
rm -fr %{buildroot}%{_datadir}/mediawiki/{t,test}
rm -fr %{buildroot}%{_datadir}/mediawiki/includes/zhtable
find %{buildroot}%{_datadir}/mediawiki/ \
  \( -name .htaccess -or -name \*.cmi \) \
  | xargs rm

# fix permissions
chmod +x %{buildroot}%{_datadir}/mediawiki/bin/*
find %{buildroot}%{_datadir}/mediawiki -name \*.pl | xargs chmod +x

# move arch dependent parts
if test ! -d %{buildroot}%{_libdir}/mediawiki/math; then
  mkdir -p %{buildroot}%{_libdir}/mediawiki
  mv %{buildroot}%{_datadir}/mediawiki/math \
     %{buildroot}%{_libdir}/mediawiki/
fi

find %{buildroot} -name .svnignore | xargs rm
find %{buildroot} -name \*.commoncode | xargs rm

mkdir -p %{buildroot}/var/www/wiki
cd %{buildroot}/var/www/wiki/
mkdir images
cp -a %{buildroot}%{_datadir}/mediawiki/config .
ln -s %{_datadir}/mediawiki/index.php index.php

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING FAQ HISTORY README RELEASE-NOTES UPGRADE
%{_datadir}/mediawiki
%attr(-,apache,apache) %dir %{_datadir}/mediawiki/config
%{_datadir}/mediawiki/config
%{_libdir}/mediawiki
/var/www/wiki
%attr(-,apache,apache) %dir /var/www/wiki/config
/var/www/wiki/config/*

%changelog
* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.10.4-40
- fix license tag

* Thu Apr 10 2008 Ian Weller <ianweller@gmail.com> 1.10.4-39
* Removed ExcludeArch

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.4-38
- Update to 1.10.4.

* Tue Feb 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.3-37
- Update to 1.10.3.
- Fixes CVE-2008-0460 (bug #430286).

* Wed Sep 12 2007 Ville Skyttä <ville.skytta at iki.fi> - 1.10.2-36
- Update to 1.10.2 (security; http://secunia.com/advisories/26772/, #287881)

* Wed May  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.10.0-35
- Update to 1.10.0.

* Thu Feb 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.3-34
- Update to 1.9.4.

* Mon Feb  5 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.2-33
- Update to 1.9.2.

* Fri Feb  2 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-32
- Fix permissions.
- Remove some parts not needed at runtime anymore.

* Thu Feb  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.9.1-31
- Update to 1.9.1.

* Sat Oct 14 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.2-28
- Update to 1.8.2.

* Wed Oct 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.8.1-27
- Update to 1.8.1.
- Update to 1.8.0.

* Mon Jul 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.7.1.

* Wed Jun  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.7.

* Fri May 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.6.

* Thu Apr 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.3.

* Sat Apr  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.2.

* Fri Apr  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.6.1.

* Mon Apr  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.8.

* Thu Mar  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.7.

* Thu Jan 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.6.

* Fri Jan  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.5.

* Sun Dec  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.3.

* Fri Nov  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.2.

* Mon Oct 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.1.

* Thu Oct  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.0.

* Fri Sep  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5rc4.

* Sun Jul 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta4.

* Fri Jul  8 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta3.

* Tue Jul  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5beta2.

* Sun Jul  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

